/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/

#if !defined( __GLFILE_H__)
#define __GLFILE_H__

class CGLFile{
public:
	CGLFile(){}
	CGLFile(const CString& strDesc);
	CGLFile(UINT nIDSDesc);

	virtual ~CGLFile();

	const CString& GetFileName() const{
		return m_strFileName;
	}
	void SetFileName(LPCTSTR lpszFileName){
		m_strFileName = lpszFileName;
	}

	const CString& GetDesc() const	{
		return m_strDesc;
	}

	void SetDesc(const CString& strDesc)	{
		m_strDesc = strDesc;
	}

	const CString& GetExt() const	{
		return m_strExt;
	}

	void SetExt(const CString& strExt)	{
		m_strExt = strExt;
	}

	/// ファイルダイアログのドロップダウンリストアイテム一個分の文字列を返す。
	/// @return "STEP Files (*.stp;*.step)" のような文字列
	CString GetTypeString() const;

private:
	CString m_strFileName; ///< actual filename in saving or loading.
	CString m_strDesc; ///< e.g. "STEP Files"
	CString m_strExt; ///< e.g., "*.stp;*.step".
};

#endif // __GLFILE_H__
